## com.google.appengine.api.search
Class SearchServiceFactory

    java.lang.Object
      com.google.appengine.api.search.SearchServiceFactory

    public final class SearchServiceFactory

extends java.lang.Object

An factory that creates default implementation of `SearchService`.

       SearchService search = SearchServiceFactory.getSearchService();

Optionally, you may pass the namespace to restrict resources associated with usage of the SearchService:

       SearchService acmeSearchService = SearchServiceFactory.getSearchService("acme");

Method Summary
`static SearchService` `getSearchService()`
`static SearchService` `getSearchService(java.lang.String namespace)` Returns an instance of the `SearchService`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSearchService

    public static SearchService getSearchService()

### getSearchService

    public static SearchService getSearchService(java.lang.String namespace)

  Returns an instance of the `SearchService`. The instance will exist in the user provided namespace. The namespace must be valid, as per `NamespaceManager.validateNamespace(String)` method.

  Parameters:
    `namespace` - a namespace to be assigned to the returned search service.
  Returns:
    the default implementation of `SearchService`.
  Throws:
    `java.lang.IllegalArgumentException` - if the namespace is invalid